aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-08-21 19:53:16 +0100
committerAvatar David Leverton <levertond@googlemail.com> 2008-08-23 16:16:26 +0100
commit3150704bd7b499d3a040efa02487ff5be83e8bbd (patch)
tree9618f735dffb53ce7cb179375da053314e90650d
parentce0b5b61f068d6d4e270b68cf3d1221bd9b330ab (diff)
downloadpaludis-3150704bd7b499d3a040efa02487ff5be83e8bbd.tar.gz
paludis-3150704bd7b499d3a040efa02487ff5be83e8bbd.tar.xz
T -> TEMP for exheres.
-rw-r--r--paludis/repositories/e/eapi.cc1
-rw-r--r--paludis/repositories/e/eapi.hh2
-rw-r--r--paludis/repositories/e/eapis/0.conf1
-rw-r--r--paludis/repositories/e/eapis/exheres-0.conf1
-rw-r--r--paludis/repositories/e/eapis/paludis-1.conf1
-rw-r--r--paludis/repositories/e/ebuild.cc2
-rwxr-xr-xpaludis/repositories/e/ebuild/ebuild.bash2
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_init.bash10
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash10
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash10
-rw-r--r--paludis/repositories/e/ebuild/pbin-1/builtin_pivotbin.bash8
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/doexe8
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/doins8
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/donewins10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/newbin10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/newconfd10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/newdoc10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/newenvd10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/newexe10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/newinitd10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/newins10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/newlib.a10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/newlib.so10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/newman10
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/newsbin10
-rwxr-xr-xpaludis/repositories/e/vdb_repository_TEST_setup.sh48
26 files changed, 120 insertions, 112 deletions
diff --git a/paludis/repositories/e/eapi.cc b/paludis/repositories/e/eapi.cc
index a65108e..3bd3f97 100644
--- a/paludis/repositories/e/eapi.cc
+++ b/paludis/repositories/e/eapi.cc
@@ -79,6 +79,7 @@ namespace
value_for<n::env_distdir>(check_get(k, "env_distdir")),
value_for<n::env_kv>(check_get(k, "env_kv")),
value_for<n::env_portdir>(check_get(k, "env_portdir")),
+ value_for<n::env_t>(check_get(k, "env_t")),
value_for<n::env_use>(check_get(k, "env_use")),
value_for<n::env_use_expand>(check_get(k, "env_use_expand")),
value_for<n::env_use_expand_hidden>(check_get(k, "env_use_expand_hidden"))
diff --git a/paludis/repositories/e/eapi.hh b/paludis/repositories/e/eapi.hh
index d338b8b..dd8bb11 100644
--- a/paludis/repositories/e/eapi.hh
+++ b/paludis/repositories/e/eapi.hh
@@ -77,6 +77,7 @@ namespace paludis
struct env_distdir;
struct env_kv;
struct env_portdir;
+ struct env_t;
struct env_use;
struct env_use_expand;
struct env_use_expand_hidden;
@@ -231,6 +232,7 @@ namespace paludis
NamedValue<n::env_distdir, std::string> env_distdir;
NamedValue<n::env_kv, std::string> env_kv;
NamedValue<n::env_portdir, std::string> env_portdir;
+ NamedValue<n::env_t, std::string> env_t;
NamedValue<n::env_use, std::string> env_use;
NamedValue<n::env_use_expand, std::string> env_use_expand;
NamedValue<n::env_use_expand_hidden, std::string> env_use_expand_hidden;
diff --git a/paludis/repositories/e/eapis/0.conf b/paludis/repositories/e/eapis/0.conf
index 492596c..7d3bda5 100644
--- a/paludis/repositories/e/eapis/0.conf
+++ b/paludis/repositories/e/eapis/0.conf
@@ -208,6 +208,7 @@ env_accept_keywords = ACCEPT_KEYWORDS
env_portdir = PORTDIR
env_distdir = DISTDIR
env_d = D
+env_t = T
dependency_labels =
diff --git a/paludis/repositories/e/eapis/exheres-0.conf b/paludis/repositories/e/eapis/exheres-0.conf
index 559432b..1dd9d80 100644
--- a/paludis/repositories/e/eapis/exheres-0.conf
+++ b/paludis/repositories/e/eapis/exheres-0.conf
@@ -227,6 +227,7 @@ env_accept_keywords = ACCEPT_PLATFORMS
env_portdir = REPODIR
env_distdir = FETCHEDDIR
env_d = IMAGE
+env_t = TEMP
uri_labels = \
default = URIListedThenMirrorsLabel ; \
diff --git a/paludis/repositories/e/eapis/paludis-1.conf b/paludis/repositories/e/eapis/paludis-1.conf
index ac18f58..159deb5 100644
--- a/paludis/repositories/e/eapis/paludis-1.conf
+++ b/paludis/repositories/e/eapis/paludis-1.conf
@@ -214,6 +214,7 @@ env_accept_keywords = ACCEPT_KEYWORDS
env_portdir = PORTDIR
env_distdir = DISTDIR
env_d = D
+env_t = T
uri_labels = \
default = URIListedThenMirrorsLabel ; \
diff --git a/paludis/repositories/e/ebuild.cc b/paludis/repositories/e/ebuild.cc
index 4b64e09..a13d184 100644
--- a/paludis/repositories/e/ebuild.cc
+++ b/paludis/repositories/e/ebuild.cc
@@ -192,6 +192,8 @@ EbuildCommand::operator() ()
params.package_id()->eapi()->supported()->ebuild_environment_variables()->env_distdir())
.with_setenv("PALUDIS_IMAGE_DIR_VAR",
params.package_id()->eapi()->supported()->ebuild_environment_variables()->env_d())
+ .with_setenv("PALUDIS_TEMP_DIR_VAR",
+ params.package_id()->eapi()->supported()->ebuild_environment_variables()->env_t())
.with_setenv("PALUDIS_PIPE_COMMANDS_SUPPORTED", "yes")
)
.with_setenv("SLOT", "")
diff --git a/paludis/repositories/e/ebuild/ebuild.bash b/paludis/repositories/e/ebuild/ebuild.bash
index 5c4f143..af97ee3 100755
--- a/paludis/repositories/e/ebuild/ebuild.bash
+++ b/paludis/repositories/e/ebuild/ebuild.bash
@@ -260,7 +260,7 @@ ebuild_scrub_environment()
unset -v ${PALUDIS_IGNORE_PIVOT_ENV_VARIABLES}
fi
- unset -v ROOTPATH T HOME TMPDIR PALUDIS_TMPDIR PALUDIS_EBUILD_LOG_LEVEL
+ unset -v ROOTPATH T TEMP HOME TMPDIR PALUDIS_TMPDIR PALUDIS_EBUILD_LOG_LEVEL
unset -v PORTDIR FILESDIR ECLASSDIR DISTDIR PALUDIS_EBUILD_DIR
unset -v PALUDIS_EXTRA_DIE_MESSAGE PALUDIS_COMMAND SKIP_FUNCTIONS
unset -v FETCHEDDIR REPODIR EAPI
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
index 745b37b..91b5adf 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
@@ -63,11 +63,11 @@ builtin_init()
mkdir -p "${WORKBASE}" || die "Couldn't create \$WORKBASE (\"${WORKBASE}\")"
declare -r WORKBASE="${WORKBASE}"
- export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/temp/"
- mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
- declare -r T="${T}"
- export HOME="${T}"
- export TMPDIR="${T}"
+ export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/temp/"
+ mkdir -p "${TEMP}" || die "Couldn't create \$TEMP (\"${TEMP}\")"
+ declare -r TEMP="${TEMP}"
+ export HOME="${TEMP}"
+ export TMPDIR="${TEMP}"
export IMAGE="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/image/"
export IMAGE="${IMAGE//+(\/)//}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
index 675d6c4..e3d4886 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
@@ -59,11 +59,11 @@ builtin_initmisc()
rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
fi
- export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc/temp/"
- mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
- declare -r T="${T}"
- export HOME="${T}"
- export TMPDIR="${T}"
+ export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc/temp/"
+ mkdir -p "${TEMP}" || die "Couldn't create \$TEMP (\"${TEMP}\")"
+ declare -r TEMP="${TEMP}"
+ export HOME="${TEMP}"
+ export TMPDIR="${TEMP}"
if [[ "${EBUILD}" != "-" ]] ; then
ebuild_load_ebuild "${EBUILD}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash
index e149933..29fe037 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash
@@ -59,11 +59,11 @@ builtin_initrm()
rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
fi
- export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall/temp/"
- mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
- declare -r T="${T}"
- export HOME="${T}"
- export TMPDIR="${T}"
+ export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall/temp/"
+ mkdir -p "${TEMP}" || die "Couldn't create \$TEMP (\"${TEMP}\")"
+ declare -r TEMP="${TEMP}"
+ export HOME="${TEMP}"
+ export TMPDIR="${TEMP}"
if [[ "${EBUILD}" != "-" ]] ; then
ebuild_load_ebuild "${EBUILD}"
diff --git a/paludis/repositories/e/ebuild/pbin-1/builtin_pivotbin.bash b/paludis/repositories/e/ebuild/pbin-1/builtin_pivotbin.bash
index bf550a9..d3ad7b8 100644
--- a/paludis/repositories/e/ebuild/pbin-1/builtin_pivotbin.bash
+++ b/paludis/repositories/e/ebuild/pbin-1/builtin_pivotbin.bash
@@ -18,14 +18,14 @@
builtin_pivotbin()
{
- [[ -z "${T}" ]] || [[ ! -d "${T}" ]] && die "Can't use \$T=$T"
+ [[ ! -d "${!PALUDIS_TEMP_DIR_VAR}" ]] && die "Can't use \${${PALUDIS_TEMP_DIR_VAR}}=${!PALUDIS_TEMP_DIR_VAR}"
ebuild_section "Extracting package environment"
- echo tar jxvf "${DISTDIR}"/"${A}" -C "${T}" --strip-components 1 PBIN/environment.bz2 1>&2
- tar jxvf "${DISTDIR}"/"${A}" -C "${T}" --strip-components 1 PBIN/environment.bz2 || die "Couldn't extract env"
+ echo tar jxvf "${DISTDIR}"/"${A}" -C "${!PALUDIS_TEMP_DIR_VAR}" --strip-components 1 PBIN/environment.bz2 1>&2
+ tar jxvf "${DISTDIR}"/"${A}" -C "${!PALUDIS_TEMP_DIR_VAR}" --strip-components 1 PBIN/environment.bz2 || die "Couldn't extract env"
ebuild_section "Switching to package environment"
- export PALUDIS_LOAD_ENVIRONMENT="${T}/environment.bz2"
+ export PALUDIS_LOAD_ENVIRONMENT="${!PALUDIS_TEMP_DIR_VAR}/environment.bz2"
ebuild_load_environment --pivot
export EAPI="${EAPI#pbin-1+}"
diff --git a/paludis/repositories/e/ebuild/utils/doexe b/paludis/repositories/e/ebuild/utils/doexe
index 757a2d5..ea88134 100755
--- a/paludis/repositories/e/ebuild/utils/doexe
+++ b/paludis/repositories/e/ebuild/utils/doexe
@@ -27,8 +27,8 @@ if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
fi
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -lt 1 ]]; then
@@ -45,8 +45,8 @@ ret=0
for x in "$@"; do
if [[ -L ${x} ]]; then
- cp "${x}" "${T}"
- mysrc="${T}/$(/usr/bin/basename "${x}")"
+ cp "${x}" "${!PALUDIS_TEMP_DIR_VAR}"
+ mysrc="${!PALUDIS_TEMP_DIR_VAR}/$(/usr/bin/basename "${x}")"
elif [[ -d ${x} ]]; then
echo "${0}: skipping directory ${x}" >&2
continue
diff --git a/paludis/repositories/e/ebuild/utils/doins b/paludis/repositories/e/ebuild/utils/doins
index 677ec53..b39c07d 100755
--- a/paludis/repositories/e/ebuild/utils/doins
+++ b/paludis/repositories/e/ebuild/utils/doins
@@ -28,8 +28,8 @@ if [[ ! -d ${!PALUDIS_IMAGE_DIR_VAR} ]]; then
paludis_die_or_error "\${${PALUDIS_IMAGE_DIR_VAR}} not valid; aborting"
fi
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -lt 1 ]]; then
@@ -63,8 +63,8 @@ ret=0
for x in "$@"; do
if [[ -L ${x} ]]; then
- cp "${x}" "${T}"
- mysrc="${T}/$(basename "${x}")"
+ cp "${x}" "${!PALUDIS_TEMP_DIR_VAR}"
+ mysrc="${!PALUDIS_TEMP_DIR_VAR}/$(basename "${x}")"
elif [[ -d ${x} ]]; then
if [[ ${DOINSRECUR} == "n" ]]; then
continue
diff --git a/paludis/repositories/e/ebuild/utils/donewins b/paludis/repositories/e/ebuild/utils/donewins
index 92e38bd..d4c8109 100755
--- a/paludis/repositories/e/ebuild/utils/donewins
+++ b/paludis/repositories/e/ebuild/utils/donewins
@@ -25,8 +25,8 @@ export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source ${PALUDIS_EBUILD_DIR}/pipe_functions.bash
source ${PALUDIS_EBUILD_DIR}/output_functions.bash
-if [[ ! -d ${T} ]]; then
- echo "${0}: \${T} not valid; aborting" >&2
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ echo "${0}: \${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting" >&2
exit 247
fi
@@ -37,6 +37,6 @@ fi
ebuild_notice "qa" "${0} is retarded. Don't use it; use newins instead."
-rm -rf "${T}/${2}"
-cp "${1}" "${T}/${2}"
-doins "${T}/${2}"
+rm -rf "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+cp "${1}" "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+doins "${!PALUDIS_TEMP_DIR_VAR}/${2}"
diff --git a/paludis/repositories/e/ebuild/utils/newbin b/paludis/repositories/e/ebuild/utils/newbin
index 6bfdca2..b275976 100755
--- a/paludis/repositories/e/ebuild/utils/newbin
+++ b/paludis/repositories/e/ebuild/utils/newbin
@@ -24,14 +24,14 @@
export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -ne 2 ]]; then
paludis_die_or_error "exactly two arguments needed."
fi
-rm -rf "${T}/${2}"
-cp "${1}" "${T}/${2}"
-dobin "${T}/${2}"
+rm -rf "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+cp "${1}" "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+dobin "${!PALUDIS_TEMP_DIR_VAR}/${2}"
diff --git a/paludis/repositories/e/ebuild/utils/newconfd b/paludis/repositories/e/ebuild/utils/newconfd
index 49bf0e5..65d623b 100755
--- a/paludis/repositories/e/ebuild/utils/newconfd
+++ b/paludis/repositories/e/ebuild/utils/newconfd
@@ -24,14 +24,14 @@
export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -ne 2 ]]; then
paludis_die_or_error "exactly two arguments needed."
fi
-rm -rf "${T}/${2}"
-cp "${1}" "${T}/${2}"
-doconfd "${T}/${2}"
+rm -rf "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+cp "${1}" "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+doconfd "${!PALUDIS_TEMP_DIR_VAR}/${2}"
diff --git a/paludis/repositories/e/ebuild/utils/newdoc b/paludis/repositories/e/ebuild/utils/newdoc
index 1264682..b2b2857 100755
--- a/paludis/repositories/e/ebuild/utils/newdoc
+++ b/paludis/repositories/e/ebuild/utils/newdoc
@@ -24,14 +24,14 @@
export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -ne 2 ]]; then
paludis_die_or_error "exactly two arguments needed"
fi
-rm -rf "${T}/${2}"
-cp "${1}" "${T}/${2}"
-dodoc "${T}/${2}"
+rm -rf "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+cp "${1}" "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+dodoc "${!PALUDIS_TEMP_DIR_VAR}/${2}"
diff --git a/paludis/repositories/e/ebuild/utils/newenvd b/paludis/repositories/e/ebuild/utils/newenvd
index 3738f1b..b3cead1 100755
--- a/paludis/repositories/e/ebuild/utils/newenvd
+++ b/paludis/repositories/e/ebuild/utils/newenvd
@@ -24,14 +24,14 @@
export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -ne 2 ]]; then
paludis_die_or_error "exactly two arguments needed"
fi
-rm -rf "${T}/${2}"
-cp "${1}" "${T}/${2}"
-doenvd "${T}/${2}"
+rm -rf "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+cp "${1}" "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+doenvd "${!PALUDIS_TEMP_DIR_VAR}/${2}"
diff --git a/paludis/repositories/e/ebuild/utils/newexe b/paludis/repositories/e/ebuild/utils/newexe
index 55fa65d..93778f4 100755
--- a/paludis/repositories/e/ebuild/utils/newexe
+++ b/paludis/repositories/e/ebuild/utils/newexe
@@ -24,14 +24,14 @@
export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -ne 2 ]]; then
paludis_die_or_error "exactly two arguments needed"
fi
-rm -rf "${T}/${2}"
-cp "${1}" "${T}/${2}"
-doexe "${T}/${2}"
+rm -rf "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+cp "${1}" "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+doexe "${!PALUDIS_TEMP_DIR_VAR}/${2}"
diff --git a/paludis/repositories/e/ebuild/utils/newinitd b/paludis/repositories/e/ebuild/utils/newinitd
index 8d54e5f..fe4dc58 100755
--- a/paludis/repositories/e/ebuild/utils/newinitd
+++ b/paludis/repositories/e/ebuild/utils/newinitd
@@ -24,14 +24,14 @@
export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -ne 2 ]]; then
paludis_die_or_error "exactly two arguments needed"
fi
-rm -rf "${T}/${2}"
-cp "${1}" "${T}/${2}"
-doinitd "${T}/${2}"
+rm -rf "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+cp "${1}" "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+doinitd "${!PALUDIS_TEMP_DIR_VAR}/${2}"
diff --git a/paludis/repositories/e/ebuild/utils/newins b/paludis/repositories/e/ebuild/utils/newins
index e220bcc..758d064 100755
--- a/paludis/repositories/e/ebuild/utils/newins
+++ b/paludis/repositories/e/ebuild/utils/newins
@@ -24,14 +24,14 @@
export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -ne 2 ]]; then
paludis_die_or_error "exactly two arguments needed"
fi
-rm -rf "${T}/${2}"
-cp "${1}" "${T}/${2}"
-doins "${T}/${2}"
+rm -rf "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+cp "${1}" "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+doins "${!PALUDIS_TEMP_DIR_VAR}/${2}"
diff --git a/paludis/repositories/e/ebuild/utils/newlib.a b/paludis/repositories/e/ebuild/utils/newlib.a
index 4d5f163..854654b 100755
--- a/paludis/repositories/e/ebuild/utils/newlib.a
+++ b/paludis/repositories/e/ebuild/utils/newlib.a
@@ -24,14 +24,14 @@
export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -ne 2 ]]; then
paludis_die_or_error "exactly two arguments needed"
fi
-rm -rf "${T}/${2}"
-cp "${1}" "${T}/${2}"
-dolib.a "${T}/${2}"
+rm -rf "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+cp "${1}" "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+dolib.a "${!PALUDIS_TEMP_DIR_VAR}/${2}"
diff --git a/paludis/repositories/e/ebuild/utils/newlib.so b/paludis/repositories/e/ebuild/utils/newlib.so
index 4f4bdf4..ad12638 100755
--- a/paludis/repositories/e/ebuild/utils/newlib.so
+++ b/paludis/repositories/e/ebuild/utils/newlib.so
@@ -24,14 +24,14 @@
export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -ne 2 ]]; then
paludis_die_or_error "exactly two arguments needed"
fi
-rm -rf "${T}/${2}"
-cp "${1}" "${T}/${2}"
-dolib.so "${T}/${2}"
+rm -rf "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+cp "${1}" "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+dolib.so "${!PALUDIS_TEMP_DIR_VAR}/${2}"
diff --git a/paludis/repositories/e/ebuild/utils/newman b/paludis/repositories/e/ebuild/utils/newman
index 48519f4..742c32c 100755
--- a/paludis/repositories/e/ebuild/utils/newman
+++ b/paludis/repositories/e/ebuild/utils/newman
@@ -24,14 +24,14 @@
export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -ne 2 ]]; then
paludis_die_or_error "exactly two arguments needed"
fi
-rm -rf "${T}/${2}"
-cp "${1}" "${T}/${2}"
-doman "${T}/${2}"
+rm -rf "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+cp "${1}" "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+doman "${!PALUDIS_TEMP_DIR_VAR}/${2}"
diff --git a/paludis/repositories/e/ebuild/utils/newsbin b/paludis/repositories/e/ebuild/utils/newsbin
index 7dd0a2d..3adb105 100755
--- a/paludis/repositories/e/ebuild/utils/newsbin
+++ b/paludis/repositories/e/ebuild/utils/newsbin
@@ -24,14 +24,14 @@
export PATH="${PALUDIS_EBUILD_DIR:+${PALUDIS_EBUILD_DIR}/utils:}${PATH}"
source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
-if [[ ! -d ${T} ]]; then
- paludis_die_or_error "\${T} not valid; aborting"
+if [[ ! -d ${!PALUDIS_TEMP_DIR_VAR} ]]; then
+ paludis_die_or_error "\${${PALUDIS_TEMP_DIR_VAR}} not valid; aborting"
fi
if [[ ${#} -ne 2 ]]; then
paludis_die_or_error "exactly two arguments needed"
fi
-rm -rf "${T}/${2}"
-cp "${1}" "${T}/${2}"
-dosbin "${T}/${2}"
+rm -rf "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+cp "${1}" "${!PALUDIS_TEMP_DIR_VAR}/${2}"
+dosbin "${!PALUDIS_TEMP_DIR_VAR}/${2}"
diff --git a/paludis/repositories/e/vdb_repository_TEST_setup.sh b/paludis/repositories/e/vdb_repository_TEST_setup.sh
index b41276a..3c4569e 100755
--- a/paludis/repositories/e/vdb_repository_TEST_setup.sh
+++ b/paludis/repositories/e/vdb_repository_TEST_setup.sh
@@ -283,33 +283,33 @@ PLATFORMS="test"
DEPENDENCIES="foo/bar"
pkg_setup() {
- einfo "${EBUILD_PHASE}: T=${T}"
- [[ -d "${T}" ]] || die "T not a dir"
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
}
src_compile() {
- einfo "${EBUILD_PHASE}: T=${T}"
- [[ -d "${T}" ]] || die "T not a dir"
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
}
pkg_preinst() {
- einfo "${EBUILD_PHASE}: T=${T}"
- [[ -d "${T}" ]] || die "T not a dir"
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
}
pkg_prerm() {
- einfo "${EBUILD_PHASE}: T=${T}"
- [[ -d "${T}" ]] || die "T not a dir"
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
}
pkg_info() {
- einfo "${EBUILD_PHASE}: T=${T}"
- [[ -d "${T}" ]] || die "T not a dir"
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
}
pkg_config() {
- einfo "${EBUILD_PHASE}: T=${T}"
- [[ -d "${T}" ]] || die "T not a dir"
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
}
END
@@ -325,33 +325,33 @@ PLATFORMS="test"
DEPENDENCIES="foo/bar"
pkg_setup() {
- einfo "${EBUILD_PHASE}: T=${T}"
- [[ -d "${T}" ]] || die "T not a dir"
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
}
src_compile() {
- einfo "${EBUILD_PHASE}: T=${T}"
- [[ -d "${T}" ]] || die "T not a dir"
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
}
pkg_preinst() {
- einfo "${EBUILD_PHASE}: T=${T}"
- [[ -d "${T}" ]] || die "T not a dir"
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
}
pkg_prerm() {
- einfo "${EBUILD_PHASE}: T=${T}"
- [[ -d "${T}" ]] || die "T not a dir"
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
}
pkg_info() {
- einfo "${EBUILD_PHASE}: T=${T}"
- [[ -d "${T}" ]] || die "T not a dir"
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
}
pkg_config() {
- einfo "${EBUILD_PHASE}: T=${T}"
- [[ -d "${T}" ]] || die "T not a dir"
+ einfo "${EBUILD_PHASE}: TEMP=${TEMP}"
+ [[ -d "${TEMP}" ]] || die "TEMP not a dir"
}
END